
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>在Visual C++中用ADO进行数据库编程 / iVAN</title>

    <meta name="description" content="在Visual C++中用ADO进行数据库编程 ActiveX数据对象(ADO)是OLE DB上面的高层数据库API.我们在C++程序中也可以调用ADO.本文将在VC 6.0环境下做一个小小的例子解释如何使用ADO. 1. 生成应用程序框架并初始化OLE/COM库环境 创建一个标准的MFC AppWizard(exe)应用程序,然后在应用程序类的InitInstance函数中初始化OLE/COM库(因为ADO库是一个COM DLL库). BOOL CADOTestApp::InitInstance() { //初始化OLE/COM库环境 Af">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">在Visual C++中用ADO进行数据库编程</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>ActiveX数据对象（ADO）是OLE DB上面的高层数据库API。我们在C＋＋程序中也可以调用ADO。本文将在VC 6.0环境下做一个小小的例子解释如何使用ADO。</p>
<p>1. 生成应用程序框架并初始化OLE/COM库环境</p>
<p>创建一个标准的MFC AppWizard(exe)应用程序，然后在应用程序类的InitInstance函数中初始化OLE/COM库（因为ADO库是一个COM DLL库）。</p>
<p><code>　　BOOL CADOTestApp::InitInstance()<br />
　　 { //初始化OLE/COM库环境<br />
AfxOleInit();}</code></p>
<p>程序最后要调用 ::CoUninitialize()；//释放程序占用的COM 资源。</p>
<p>另外：</p>
<p><code>m_pRecordset-&gt;Close(); 注意！！！不要多次关闭！！！！！！！！！！！！<br />
m_pConnection-&gt;Close();<br />
m_pRecordset = NULL;<br />
m_pConnection = NULL;</code></p>
<p>2. 引入ADO库文件</p>
<p>使用ADO前必须在工程的stdafx.h文件里用直接引入符号＃import引入ADO库文件，以使编译器能正确编译。代码如下：</p>
<p><code>　　 ＃include 〈comdef.h〉<br />
　　 ＃import "c:\program files\common files\system\ado\msado15.dll"<br />
　　 no_namespace<br />
　　 rename ("EOF","adoEOF")</code></p>
<p>头文件comdef.h使我们的应用程序能够使用Visual C＋＋中的一些特殊COM支持类，这些类使得处理OLE自治更为容易一些，OLE自治是ADO使用的数据类型。后三行使用＃import指令在我们的应用程序中输入ADO类库定义。</p>
<p>ADO类的定义是作为一种资源存储在ADO DLL(msado15.dll）中，在其内部称为类型库。类型库描述了自治接口，以及C＋＋使用的COM vtable接口。当使用＃import指令时，在运行时Visual C＋＋需要从ADO DLL中读取这个类型库，并以此创建一组C＋＋头文件。这些头文件具有.tli 和.tlh扩展名，读者可以在项目的目录下找到这两个文件。在C＋＋程序代码中调用的ADO类要在这些文件中定义。</p>
<p>程序的第三行指示ADO对象不使用名称空间。在有些应用程序中，由于应用程序中的对象与ADO中的对象之间可能会出现命名冲突，所以有必要使用名称空间。如果要使用名称空间，则可把第三行程序修改为： rename_namespace("AdoNS")。第四行代码将ADO中的EOF(文件结束)更名为adoEOF，以避免与定义了自己的EOF的其他库冲突。</p>
<p>3．利用智能指针进行数据库操作</p>
<p>在CaboutDlg头文件中定义两个ADO智能指针类实例,并在对话框中加入一个ListCtrl。</p>
<p><code>class CAdotestDlg : public CDialog<br />
{<br />
_ConnectionPtr m_pConnection;<br />
_RecordsetPtr m_pRecordset;<br />
　　 ClistCtrl m_List; <br />
......<br />
}</code></p>
<p>ADO库包含三个智能指针:_ConnectionPtr、_CommandPtr和_RecordsetPtr。</p>
<p>_ConnectionPtr通常被用来创建一个数据连接或执行一条不返回任何结果的SQL语句，如一个存储过程。</p>
<p>_CommandPtr返回一个记录集。它提供了一种简单的方法来执行返回记录集的存储过程和SQL语句。在使用_CommandPtr接口时，可以利用全局_ConnectionPtr接口，也可以在_CommandPtr接口里直接使用连接串。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 04:41:50</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%96%87%e4%bb%b6/" title="文件">文件</a>, <a href="https://www.iamivan.net/tag/%e4%b8%80%e4%b8%aa/" title="一个">一个</a>, <a href="https://www.iamivan.net/tag/%e7%a8%8b%e5%ba%8f/" title="程序">程序</a>, <a href="https://www.iamivan.net/tag/%e5%ba%94%e7%94%a8%e7%a8%8b%e5%ba%8f/" title="应用程序">应用程序</a>, <a href="https://www.iamivan.net/tag/%e6%8e%a5%e5%8f%a3/" title="接口">接口</a>, <a href="https://www.iamivan.net/tag/ado/" title="ado">ado</a>, <a href="https://www.iamivan.net/tag/ado%e6%8e%a5%e5%8f%a3/" title="Ado接口">Ado接口</a>, <a href="https://www.iamivan.net/tag/%e5%bc%95%e5%85%a5%e5%a4%b4%e6%96%87%e4%bb%b6/" title="引入头文件">引入头文件</a>, <a href="https://www.iamivan.net/tag/msado15-dll/" title="msado15&period;dll">msado15&period;dll</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>在Visual C++中用ADO进行数据库编程的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/2pLRo5b.html" rel="bookmark">漫谈&period;Net PetShop和Duwamish ADO&period;NET数据库编程</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				ado|编程|数据|数据库 概述 ADO.NET为我们提供了强大的数据库开发能力,它内置的多个对象为我们的数据库编程提供了不同的选择.但是在允许我们灵活选用的同时,许多初学者也很迷惑,我到底是应该使用DataReader还是应该使用DataAdapter?我只想读取一小部分数据,难道我一定要Fill满整个DataSet吗?为什么DataReader不能和RecordSet一样提供一个数据更新的方法?DataSet到底有什么好处? 在本文中,我将对.net PetShop的数据库编程模式和Duwa			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/YbK9WWp.html" rel="bookmark">ADO&period;NET 数据库实例教程</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				ado|教程|数据|数据库 ADO.NET数据库编程比较复杂,名目繁多的类.对象.属性.方法让每一个编程者都感觉恼火.本文旨在介绍ASP.NET Beta2数据库编程的主要内容,帮助编程者最快的了解ADO.NET数据库编程的精髓. 一. Managed Providers 如果你是初学者,可能你会问,什么是&quot;Managed Providers&quot;? Managed Providers提供简单的方法连接和访问数据库,有点类似于数据库连接,当然又比它强的多.Managed Providers			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MRy95Bb.html" rel="bookmark">ADO&period;NET数据库实例教程</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				ADO.NET数据库编程比较复杂,名目繁多的类.对象.属性.方法让每一个编程者都感觉恼火.本文旨在介绍ASP.NET Beta2数据库编程的主要内容,帮助编程者最快的了解ADO.NET数据库编程的精髓. 一.Managed Providers 如果你是初学者,可能你会问,什么是&quot;Managed Providers&quot;? Managed Providers提供简单的方法连接和访问数据库,有点类似于数据库连接,当然又比它强的多.Managed Providers提供OleDb和SQL Ser			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/4MY415b.html" rel="bookmark">Visual C&plus;&plus; ADO数据库编程入门（上）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				ado|c++|visual|编程|数据|数据库   ADO 是目前在Windows环境中比较流行的客户端数据库编程技术.ADO是建立在OLE DB底层技术之上的高级编程接口,因而它兼具有强大的数据处理功能(处理各种不同类型的数据源.分布式的数据处理等等)和极其简单.易用的编程接口,因而得到了广泛的应用.而且按微软公司的意图,OLE DB和ADO将逐步取代 ODBC和DAO.现在介绍ADO各种应用的文章和书籍有很多,本文着重站在初学者的角度,简要探讨一下在VC++中使用ADO编程时的一些问题.我			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/7b2gVoM.html" rel="bookmark">对比&period;NET PetShop和Duwamish来探讨Ado&period;NET的数据库编程模式</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				ado|编程|数据|数据库   对比.NET PetShop和Duwamish来探讨Ado.NET的数据库编程模式 概述Ado.NET为我们提供了强大的数据库开发能力,它内置的多个对象为我们的数据库编程提供了不同的选择.但是在允许我们灵活选用的同时,许多初学者也很迷惑,我到底是应该使用DataReader还是应该使用DataAdapter?我只想读取一小部分数据,难道我一定要Fill满整个DataSet吗?为什么DataReader不能和RecordSet一样提供一个数据更新的方法?DataSe			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/vbQEwGb.html" rel="bookmark">用Visual C＃中实现DB2数据库编程&lpar;转&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				visual|编程|数据|数据库 在Visual Studio.NET Beta 1版本中访问IBM DB2等非SQL Server数据库通常是使用ADO.NET的ODBC方法,而在Beta 2中则改用OLE DB方式存取数据库. Beta1中连接字符串主要需声明数据库的ODBC的DNS名字,但Beta 2中的OLE DB连接的字符串就较复杂了,使用的类也不相同.由于DB2等数据库在大型机等应用中使用非常广泛,.NET自然会全力支持此类编程开发,为此,下文将逐步阐述OLE DB的DB2开发. O			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/5zORdRp.html" rel="bookmark">Visual C＃中实现DB2数据库编程</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				visual|编程|数据|数据库 在Visual Studio.NET Beta 1版本中访问IBM DB2等非SQL Server数据库通常是使用ADO.NET的ODBC方法,而在Beta 2中则改用OLE DB方式存取数据库. Beta1中连接字符串主要需声明数据库的ODBC的DNS名字,但Beta 2中的OLE DB连接的字符串就较复杂了,使用的类也不相同.由于DB2等数据库在大型机等应用中使用非常广泛,.NET自然会全力支持此类编程开发,为此,下文将逐步阐述OLE DB的DB2开发. O			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Lp5akWp.html" rel="bookmark">祥解Visual C＃数据库编程</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				visual|编程|数据|数据库 关于数据库编程,微软提供了一个统一的数据对象访问模型,在Visual Studio6.0中称为ADO,在.NET中则统一为ADO.NET,掌握ADO.NET就等于掌握了数据库编程的核心. 针对数据库编程始终是程序设计语言的一个重要方面的内容,也是一个难点.数据库编程的内容十分丰富,但最为基本编程的也就是那么几点,譬如:连接数据库.得到需要的数据和针对数据记录的浏览.删除.修改.插入等操作.其中又以后面针对数据记录的数据操作为重点.本文就来着重探讨一下Visual			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pm7XX5b.html" rel="bookmark">VC&plus;&plus;6&period;0中用ADO存取Access数据库的总结</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				事情是这样的,我的女朋友想要对日常生活的开销做个记录,以便控制花钱的尺度.看她每日用笔头记录,然后和我抢电脑用,曰:要用附件中的计算器统计结果,每每如此 ,不胜其烦,就给她做了一个个人家庭记帐系统,一劳永逸解决问题.期间用到了ADO操作Access数据库,在网上找了若干关于ADO的资料结合实践总结了一点使用心得如下 ,供有相同需求的朋友参考: 附带了那个个人记帐系统,运行的界面如下: VC++下使用ADO编写数据库程序 准备: (1).引入ADO类#import &quot;c:\program file			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/YMRAleb.html" rel="bookmark" class="title">Flash MX 2004视频宝典教程&lpar;3&rpar;达芬奇的鸡蛋</a>
					<div>
						教程 第 03 节:达芬奇的鸡蛋 课程目标:学习绘制鸡蛋的技巧. 课程要点:通过实例绘制鸡蛋,学习选择工具,椭圆工具,变形工具和混色器面板. 观看教程:[全屏观看] 下载教程:[下载教程](鼠标右键点 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/YbKWX5b.html" rel="bookmark" class="title">使用SQL Server 2008中对象相关性</a>
					<div>
						SQL Server的以前版本在跟踪对象相关性方面做的并不好.原因是所有的对象相关性都是由对象ID来跟踪的,这意味着对象一开始就必须存在.但是,通过根据对象名称来跟踪对象SQL Server 2008 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0PQ66M.html" rel="bookmark" class="title">二层交换机的六条安全秘诀</a>
					<div>
						随着网络应用的普及及不断深化,用户对于二层交换机的需求不仅仅局限于数据转发性能.服务质量(QoS)等各方面,网络安全理念正日益成为组网产品选型的重要参考内容. 如何过滤用户通讯,保障安全有效的数据转发 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bK7W65b.html" rel="bookmark" class="title">js获取数组的最后一个元素</a>
					<div>
						 (1)js内置pop方法 pop() 方法用于删除并返回数组的最后一个元素,注意这里在获取了数组的最后一个元素的同时也将原数组的最后一个元素给删除了.如果数组已经为空,则该方法不改变数组,并返回 u ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXjWmvb.html" rel="bookmark" class="title">Win8系统计算机管理打不开怎么办</a>
					<div>
						  计算机管理是windows操作系统的管理工具,通过它可以查看系统性能.设备管理器.磁盘管理.服务和应用程序管理等等,一般是在桌面的&quot;这台电脑&quot;(我的电脑)右键菜单中打开&quo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRwKyGp.html" rel="bookmark" class="title">让Windows7变成Wi-Fi热点的小方法</a>
					<div>
						  Windows 7以上的系统是非常容易建立无线热点的,为了更容易地实现将PC作为无线热点的功能,写了个小工具.实现其实很简单: 源代码已经共享在Github上:https://github.com ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9El8kM.html" rel="bookmark" class="title">select-关于mysql中查询重复数据的疑问</a>
					<div>
						问题描述 关于mysql中查询重复数据的疑问 我有一个表叫做sc. 现在要查询score中有相同分数的信息, 查询的sql语句是 select * from sc where score in (se ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxowDOb.html" rel="bookmark" class="title">opencv haar&plus;adaboost使用心得</a>
					<div>
						最近在使用opencv里的haar+adaboost做检测,其实早在一年前的无锡已经看过用它做车徽检测,然后再做识别(大众,奔驰...).这次终于要自己动手做了,网上有很多这方面的资料,感谢大家分享他 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYj79rp.html" rel="bookmark" class="title">技术大咖齐亮相：与阿里云共贺新春（视频）</a>
					<div>
						随着新年钟声的敲响,2016年已经离我们渐行渐远,2017年已经来到我们身边,金鸡报晓,恭贺新春!值此新春佳节之际,阿里云携数十位技术大咖给大家拜年了! 梨视频技术总监,刘隽 梨视频从上云的第一天开始 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwxre8b.html" rel="bookmark" class="title">MVC5 &plus; EF6 &plus; Bootstrap3 &lpar;15&rpar; 应用ModelState和Data Annotation做服务器端数据验证</a>
					<div>
						原文:MVC5 + EF6 + Bootstrap3 (15) 应用ModelState和Data Annotation做服务器端数据验证 Slark.NET-博客园 http://www.cnblo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXwQ7AM.html" rel="bookmark" class="title">value-我已经调了整整两天，在线等大神求解决</a>
					<div>
						问题描述 我已经调了整整两天,在线等大神求解决 Error:(28, -1) android-apt-compiler: [main] E:projectsaleForAndroidappsrcmai ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJkPk8b.html" rel="bookmark" class="title">浏览器-HTML设置页面内部的特定目标的链接</a>
					<div>
						问题描述 HTML设置页面内部的特定目标的链接 两个部分的代码如下 全文太长了 贴不出来 我把图贴在下面了 &lt;table&gt; &lt;tr&gt; &lt;td&gt;&lt;a href= ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnKROWz.html" rel="bookmark" class="title">spring3mvc里面怎么过滤非法关键字？这个拦截器怎么写和配置？</a>
					<div>
						问题描述 拦截器:publicbooleanpreHandle(HttpServletRequestrequest,HttpServletResponseresponse,Objecto)throws ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlKOoRb.html" rel="bookmark" class="title">窥探Swift编程之错误处理与异常抛出</a>
					<div>
						在Swift 2.0版本中,Swift语言对其错误处理进行了新的设计,当然了,重新设计后的结果使得该错误处理系统用起来更爽.今天博客的主题就是系统的搞一下Swift中的错误处理,以及看一下Swift中 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M945rgb.html" rel="bookmark" class="title">Js五子棋游戏</a>
					<div>
						&lt;!DOCTYPE html&gt; &lt;html&gt; &lt;head&gt;&lt;meta http-equiv=&quot;Content-Type&quot; content= ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgRxqAb.html" rel="bookmark" class="title">&OpenCurlyDoubleQuote;一小时送达&rdquo;的移动购物平台：Instacart</a>
					<div>
						对于网上送货,一小时送达?听起来有些不可思议.事实上Instacart目前经营的重点是日常杂货,是他们在当地杂货店精挑细选而来,并且只通过手机发布.用户可以通过Instacart的移动应用直接购买到很 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAE03ZM.html" rel="bookmark" class="title">java&period;lang&period;NullPointerException&lbrack;http-8080-1&rsqb; DEBUG commands&period;ActionCommandBase</a>
					<div>
						问题描述 这个问题困扰我很久了求救呀~~~~~~~~~~~~~ssh+myeclipse6.6+tomcat+mysqljava.lang.NullPointerException[http-8080 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
									<a href="https://www.iamivan.net/a/MgwGxOM.html" class="thumbnail">
				<img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvcmVhZC5odG1sNS5xcS5jb20vaW1hZ2U/c3JjPWZvcnVtJmFtcDtxPTUmYW1wO3I9MCZhbXA7aW1nZmxhZz03JmFtcDtpbWFnZVVybD1odHRwOi8vZXNzYXkuYjAudXBhaXl1bi5jb20vMTc0Ny82NTM0MDkvMC5qcGc=.jpg">
							</a>
							<div class="info"   >
					<a href="https://www.iamivan.net/a/MgwGxOM.html" rel="bookmark" class="title">马云上市公开信：我本身就充满争议</a>
					<div>
						北京时间9月6日凌晨,阿里巴巴集团向美国证监会(SEC)提交招股书更新文件,此次更新中还包括了其执行主席马云对投资者的一封信件. 以下是信件全文: 尊敬的投资者: 当您打开这份阿里巴巴上市招股书的时候 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7QoyAM.html" rel="bookmark" class="title">jQuery中scrollLeft&lpar;&rpar;方法用法实例&lowbar;jquery</a>
					<div>
						本文实例讲述了jQuery中scrollLeft()方法用法.分享给大家供大家参考.具体分析如下: 此方法获取或设置匹配元素相对滚动条左侧的偏移(offset)量. 语法结构一: 当scrollLef ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwKNr5z.html" rel="bookmark" class="title">jQuery &dollar;&period;each遍历对象、数组用法实例&lowbar;jquery</a>
					<div>
						通过它,你可以遍历对象.数组的属性值并进行处理. 使用说明 each函数根据参数的类型实现的效果不完全一致: 1.遍历对象(有附加参数) 复制代码 代码如下: $.each(Object, funct ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJOBN2b.html" rel="bookmark" class="title">oracle数据库sql的优化总结&lowbar;oracle</a>
					<div>
						一:使用where少使用having; 二:查两张以上表时,把记录少的放在右边: 三:减少对表的访问次数: 四:有where子查询时,子查询放在最前: 五:select语句中尽量避免使用*(执行时会把 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zenorAb.html" rel="bookmark" class="title">MSN遭停古巴等5国站长协助居民大玩&OpenCurlyDoubleQuote;翻墙&rdquo;</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 为了严格遵守美国的贸易制裁法规,微 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boqjvgp.html" rel="bookmark" class="title">asp&period;net中如何把DataSet插入到一个结构完全相同的数据表中</a>
					<div>
						问题描述 因为数据量很大,用遍历的方法很慢,现在想改用整体插入的方法:其中ds中是有数据的,,AccountBalance是数据库中的表名.但是运行完后没有错误,但数据库的记录也没有增加.就是毫无反应 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRd4yBz.html" rel="bookmark" class="title">RFID和安防究竟有什么关系？</a>
					<div>
						虽然315已经过去快一周了,但是后续话题却一直在延续,尤其晚会上曝光的日本核污染产地食品流入中国事件.中国网友和业内外人士在口诛笔伐涉事企业的同时,也在苦苦寻求让食品安全一劳永逸的办法,这时候超高频R ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWd9Yep.html" rel="bookmark" class="title">比iPhone6Plus还弯！LGGFlex2弯二代将亮相CES</a>
					<div>
						此前,高通就曾透露消息称LGGFlex2会亮相今年的CES展会,而现在外媒The Verge爆料称LG已经在CES2015的现场布置好了LG Flex 2的宣传海报.LG官方也是放出的CES2015的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrvO84M.html" rel="bookmark" class="title">爱立信携手Dataprom将公共汽车连上移动宽带</a>
					<div>
						5月20日消息,近日爱立信与Dataprom携手推出全球首个将公交车连接至3G移动宽带的解决方案.通过电子票务与车队管理系统,管理人员可以了解车队状况,实施监控.目前,该解决方案已经在巴西库里奇巴市投 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRdmKKz.html" rel="bookmark" class="title">谷歌眼镜已成为蓝领工人的帮手</a>
					<div>
						对于许多人而言,与其说谷歌(微博)眼镜是一款现实产品,倒不如说其具备的更多的是人类对于科技的未来愿景.因为对我们来说,谷歌眼镜似乎并没有多大的实用性,也无法像新闻报道中一样对人类的日常生活产生多大影响 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zen8JOb.html" rel="bookmark" class="title">Ogre&colon;render to texture</a>
					<div>
						Ogre中可以渲染到纹理,这如同渲染到屏幕上一样,具体的使用方法是: 1 先创建一个纹理,用于接受渲染的内容 TexturePtr renderTexture=TextureManager::getS ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9vE53p.html" rel="bookmark" class="title">东北最大光伏发电项目全部并网发电</a>
					<div>
						近日,位于辽宁大连庄河永记水库的100兆瓦&quot;渔光互补&quot;发电项目,已经全部并网发电.这是东北地区一次备案.一次建设的最大光伏发电项目. 永记水库&quot;渔光互补&quot;发电项 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MR7dkKp.html" rel="bookmark" class="title">戴尔PowerEdge R610免费升级到4G内存</a>
					<div>
						编辑点评:这款戴尔R610采用新http://www.aliyun.com/zixun/aggregation/17728.html&quot;&gt;架构处理器,在提升性能的同时有效保证用户的整体功 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.031 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
